Page MenuHomeFreeBSD

Fix thread creation in PowerPC64 ELFv2 processes.
ClosedPublic

Authored by bdragon on Nov 25 2018, 9:18 AM.

Details

Summary

Currently, the upcall used to create threads assumes ELFv1.

Instead, we should check which sysentvec is in use on the process and act accordingly.

This makes ELFv2 threaded processes work.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

bdragon created this revision.Nov 25 2018, 9:18 AM
bdragon updated this revision to Diff 51098.Nov 26 2018, 6:25 AM
bdragon edited the summary of this revision. (Show Details)

Fix ABI violation that was causing crash on thread exit.

jhibbits accepted this revision.Nov 27 2018, 4:20 AM

LGTM.

This revision is now accepted and ready to land.Nov 27 2018, 4:20 AM
This revision was automatically updated to reflect the committed changes.